Skip to main content
GET
Get phone agent knowledge-source tree

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

phone_agent_id
string
required

Response

Default Response

directories
object[]
required
uncategorized
object[]
required
totalTokens
number
required

Estimated tokens of the selected instructions and knowledge documents

instructionMode
enum<string>
required

Deprecated: always selected. The agent only uses the instructions selected here.

Available options:
all,
selected
knowledgeMode
enum<string>
required

Deprecated: always selected. The agent only uses the knowledge selected here.

Available options:
all,
selected
knowledgePlan
object | null
required

How the agent gets the selected sources during calls; null for agents on another runtime

selectedInstructionIds
string[]
required
selectedDirectoryIds
string[]
required
selectedKnowledgeItemIds
string[]
required
selectedKnowledgeFolderKeys
string[]
required
routingGuide
object | null
required
knowledgeFolders
object[]
required